## tuning-library 1.1.0+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10)
project(tuning-library VERSION 1.0 LANGUAGES C CXX)

set(CMAKE_CXX_STANDARD 14)

add_library(${PROJECT_NAME} INTERFACE)
target_include_directories(${PROJECT_NAME} INTERFACE include)

add_executable(tuning-library-symbolcheck)
target_link_libraries(tuning-library-symbolcheck PRIVATE ${PROJECT_NAME})
target_sources(tuning-library-symbolcheck PRIVATE
        tests/symbolcheck1.cpp
        tests/symbolcheck2.cpp)


add_executable(tuning-library-tests)
target_include_directories(tuning-library-tests PRIVATE libs/catch2)
target_link_libraries(tuning-library-tests PRIVATE ${PROJECT_NAME})
target_sources(tuning-library-tests PRIVATE
        tests/alltests.cpp)

add_executable(showmapping commands/showmapping.cpp)
target_link_libraries(showmapping ${PROJECT_NAME})

add_executable(parsecheck commands/parsecheck.cpp)
target_link_libraries(parsecheck ${PROJECT_NAME})

if (WIN32)
    add_custom_target(run-all-tests
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
            COMMAND $<TARGET_FILE:tuning-library-symbolcheck>
            COMMAND $<TARGET_FILE:tuning-library-tests>
        )
else()
    add_custom_target(run-all-tests
            WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
            COMMAND $<TARGET_FILE:tuning-library-symbolcheck>
            COMMAND $<TARGET_FILE:tuning-library-tests>
            COMMAND LANG=es_ES  $<TARGET_FILE:tuning-library-tests>
            COMMAND LANG=fr_FR  $<TARGET_FILE:tuning-library-tests>
            COMMAND LANG=zh_CN  $<TARGET_FILE:tuning-library-tests>
            COMMAND LANG=  $<TARGET_FILE:tuning-library-tests>
        )
endif()
add_dependencies(run-all-tests tuning-library-tests tuning-library-symbolcheck)

## tuning-library 1.1.0%2Bds

=== debian/control ===
Source: tuning-library
Section: libdevel
Priority: optional
Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Andrius Merkys <merkys@debian.org>,
Rules-Requires-Root: no
Build-Depends:
 catch2 (>= 3.0.0),
 cmake,
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://github.com/surge-synthesizer/tuning-library
Vcs-Browser: https://salsa.debian.org/multimedia-team/tuning-library
Vcs-Git: https://salsa.debian.org/multimedia-team/tuning-library.git

Package: libtuning-library-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
Description: Surge Synth Team Tuning Library
 Standalone C++ header only library for microtuning.

## tuning-library 1.1.0+ds

=== debian/changelog ===
tuning-library (1.1.0+ds-4) unstable; urgency=medium

  [ Adrian Bunk ]
  * Build with -ffloat-store

 -- Andrius Merkys <merkys@debian.org>  Wed, 22 Nov 2023 04:16:11 -0500

tuning-library (1.1.0+ds-3) unstable; urgency=medium

  * Enable catch2 tests.

 -- Andrius Merkys <merkys@debian.org>  Tue, 07 Nov 2023 10:41:47 -0500

tuning-library (1.1.0+ds-2) unstable; urgency=medium

  * add-cstring.patch is already forwarded.
  * Adjust Vcs-* tags after repository move on salsa.debian.org.
  * Drop catch2 tests: incompatible with catch2 (>= 3.4.0).

 -- Andrius Merkys <merkys@debian.org>  Tue, 24 Oct 2023 02:42:09 -0400

tuning-library (1.1.0+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1052636)

 -- Andrius Merkys <merkys@debian.org>  Mon, 25 Sep 2023 10:33:33 -0400

=== debian/rules ===
#!/usr/bin/make -f

# avoid excess precision on i386 and m68k
export DEB_CXXFLAGS_MAINT_APPEND += -ffloat-store

%:
	dh $@

override_dh_auto_test:
	$(MAKE) -C obj-* run-all-tests

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?@ANY_VERSION@(@ARCHIVE_EXT@)%@PACKAGE@-$1$2%,repack,repacksuffix=+ds,dversionmangle=auto" \
 https://github.com/surge-synthesizer/tuning-library/tags \
 (?:.*?/)?release_@ANY_VERSION@@ARCHIVE_EXT@
